org.apache.ignite.mxbean

## Interface IgniteMXBean

-     @MXBeanDescription(value="MBean that provides access to Kernal information.")
      public interface IgniteMXBean

  This interface defines JMX view on kernal.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTIVE_DESC`
    `static String` | `CHECKPOINT_SPI_FORMATTED_DESC`
    `static String` | `CLUSTER_STATE_DESC`
    `static String` | `COLLISION_SPI_FORMATTED_DESC`
    `static String` | `COMMUNICATION_SPI_FORMATTED_DESC`
    `static String` | `COPYRIGHT_DESC`
    `static String` | `CUR_COORDINATOR_FORMATTED_DESC`
    `static String` | `DEPLOYMENT_SPI_FORMATTED_DESC`
    `static String` | `DISCOVERY_SPI_FORMATTED_DESC`
    `static String` | `EVT_STORAGE_SPI_FORMATTED_DESC`
    `static String` | `EXECUTOR_SRVC_FORMATTED_DESC`
    `static String` | `FAILOVER_SPI_FORMATTED_DESC`
    `static String` | `FULL_VER_DESC`
    `static String` | `GRID_LOG_FORMATTED_DESC`
    `static String` | `IGNITE_HOME_DESC`
    `static String` | `INSTANCE_NAME_DESC`
    `static String` | `IS_NODE_BASELINE_DESC`
    `static String` | `IS_PEER_CLS_LOADING_ENABLED_DESC`
    `static String` | `IS_REBALANCE_ENABLED_DESC`
    `static String` | `JDK_INFO_DESC`
    `static String` | `LAST_CLUSTER_STATE_CHANGE_TIME_DESC`
    `static String` | `LIFECYCLE_BEANS_FORMATTED_DESC`
    `static String` | `LOAD_BALANCING_SPI_FORMATTED_DESC`
    `static String` | `LOC_NODE_ID_DESC`
    `static String` | `LONG_JVM_PAUSE_LAST_EVENTS_DESC`
    `static String` | `LONG_JVM_PAUSES_CNT_DESC`
    `static String` | `LONG_JVM_PAUSES_TOTAL_DURATION_DESC`
    `static String` | `MBEAN_SERVER_FORMATTED_DESC`
    `static String` | `OS_INFO_DESC`
    `static String` | `OS_USER_DESC`
    `static String` | `READ_ONLY_MODE_DESC`
    `static String` | `READ_ONLY_MODE_DURATION_DESC`
    `static String` | `START_TIMESTAMP_DESC`
    `static String` | `START_TIMESTAMP_FORMATTED_DESC`
    `static String` | `UPTIME_DESC`
    `static String` | `UPTIME_FORMATTED_DESC`
    `static String` | `USER_ATTRS_FORMATTED_DESC`
    `static String` | `VM_NAME_DESC`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `active()` Deprecated. Use `GridMetricManager` instead.
    `void` | `active(boolean active)` Changes Ignite grid state to active or inactive.
    `void` | `clearNodeLocalMap()` Clears node local map.
    `String` | `clusterState()` Deprecated. Use `GridMetricManager` instead.
    `void` | `clusterState(String state)` Changes current cluster state.
    `void` | `dumpDebugInfo()` Dumps debug information for the current node.
    `String` | `executeTask(String taskName, String arg)` A shortcut method that executes given task assuming single `java.lang.String` argument and `java.lang.String` return type.
    `String` | `getCheckpointSpiFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getCollisionSpiFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getCommunicationSpiFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getCopyright()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getCurrentCoordinatorFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getDeploymentSpiFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getDiscoverySpiFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getEventStorageSpiFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getExecutorServiceFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getFailoverSpiFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getFullVersion()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getGridLoggerFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getIgniteHome()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getInstanceName()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getJdkInformation()` Deprecated. Use `GridMetricManager` instead.
    `List<String>` | `getLifecycleBeansFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getLoadBalancingSpiFormatted()` Deprecated. Use `GridMetricManager` instead.
    `UUID` | `getLocalNodeId()` Deprecated. Use `GridMetricManager` instead.
    `Map<Long,Long>` | `getLongJVMPauseLastEvents()` Deprecated. Use `GridMetricManager` instead.
    `long` | `getLongJVMPausesCount()` Deprecated. Use `GridMetricManager` instead.
    `long` | `getLongJVMPausesTotalDuration()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getMBeanServerFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getOsInformation()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getOsUser()` Deprecated. Use `GridMetricManager` instead.
    `long` | `getStartTimestamp()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getStartTimestampFormatted()` Deprecated. Use `GridMetricManager` instead.
    `long` | `getUpTime()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getUpTimeFormatted()` Deprecated. Use `GridMetricManager` instead.
    `List<String>` | `getUserAttributesFormatted()` Deprecated. Use `GridMetricManager` instead.
    `String` | `getVmName()` Deprecated. Use `GridMetricManager` instead.
    `boolean` | `isNodeInBaseline()` Deprecated. Use `GridMetricManager` instead.
    `boolean` | `isPeerClassLoadingEnabled()` Deprecated. Use `GridMetricManager` instead.
    `boolean` | `isRebalanceEnabled()` Deprecated. Use `GridMetricManager` instead.
    `long` | `lastClusterStateChangeTime()` Deprecated. Use `GridMetricManager` instead.
    `boolean` | `pingNode(String nodeId)` Pings node with given node ID to see whether it is alive.
    `boolean` | `pingNodeByAddress(String host)` Pings node with given host name to see if it is alive.
    `void` | `printLastErrors()` Prints errors.
    `void` | `rebalanceEnabled(boolean rebalanceEnabled)` Enable or disable cache partition rebalance per node.
    `boolean` | `removeCheckpoint(String key)` This method allows manually remove the checkpoint with given `key`.
    `void` | `runIoTest(long warmup, long duration, int threads, long maxLatency, int rangesCnt, int payLoadSize, boolean procFromNioThread)` Runs IO latency test against all remote server nodes in cluster.
    `void` | `undeployTaskFromGrid(String taskName)` Makes the best attempt to undeploy a task from the whole grid.

- - ### Field Detail

    - #### FULL_VER_DESC

          static final String FULL_VER_DESC

      See Also:
        Constant Field Values

    - #### COPYRIGHT_DESC

          static final String COPYRIGHT_DESC

      See Also:
        Constant Field Values

    - #### START_TIMESTAMP_FORMATTED_DESC

          static final String START_TIMESTAMP_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### IS_REBALANCE_ENABLED_DESC

          static final String IS_REBALANCE_ENABLED_DESC

      See Also:
        Constant Field Values

    - #### UPTIME_FORMATTED_DESC

          static final String UPTIME_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### START_TIMESTAMP_DESC

          static final String START_TIMESTAMP_DESC

      See Also:
        Constant Field Values

    - #### UPTIME_DESC

          static final String UPTIME_DESC

      See Also:
        Constant Field Values

    - #### LONG_JVM_PAUSES_CNT_DESC

          static final String LONG_JVM_PAUSES_CNT_DESC

      See Also:
        Constant Field Values

    - #### LONG_JVM_PAUSES_TOTAL_DURATION_DESC

          static final String LONG_JVM_PAUSES_TOTAL_DURATION_DESC

      See Also:
        Constant Field Values

    - #### LONG_JVM_PAUSE_LAST_EVENTS_DESC

          static final String LONG_JVM_PAUSE_LAST_EVENTS_DESC

      See Also:
        Constant Field Values

    - #### USER_ATTRS_FORMATTED_DESC

          static final String USER_ATTRS_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### GRID_LOG_FORMATTED_DESC

          static final String GRID_LOG_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### EXECUTOR_SRVC_FORMATTED_DESC

          static final String EXECUTOR_SRVC_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### IGNITE_HOME_DESC

          static final String IGNITE_HOME_DESC

      See Also:
        Constant Field Values

    - #### MBEAN_SERVER_FORMATTED_DESC

          static final String MBEAN_SERVER_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### LOC_NODE_ID_DESC

          static final String LOC_NODE_ID_DESC

      See Also:
        Constant Field Values

    - #### IS_PEER_CLS_LOADING_ENABLED_DESC

          static final String IS_PEER_CLS_LOADING_ENABLED_DESC

      See Also:
        Constant Field Values

    - #### LIFECYCLE_BEANS_FORMATTED_DESC

          static final String LIFECYCLE_BEANS_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### ACTIVE_DESC

          static final String ACTIVE_DESC

      See Also:
        Constant Field Values

    - #### DISCOVERY_SPI_FORMATTED_DESC

          static final String DISCOVERY_SPI_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### COMMUNICATION_SPI_FORMATTED_DESC

          static final String COMMUNICATION_SPI_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_SPI_FORMATTED_DESC

          static final String DEPLOYMENT_SPI_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### CHECKPOINT_SPI_FORMATTED_DESC

          static final String CHECKPOINT_SPI_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### COLLISION_SPI_FORMATTED_DESC

          static final String COLLISION_SPI_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### EVT_STORAGE_SPI_FORMATTED_DESC

          static final String EVT_STORAGE_SPI_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### FAILOVER_SPI_FORMATTED_DESC

          static final String FAILOVER_SPI_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### LOAD_BALANCING_SPI_FORMATTED_DESC

          static final String LOAD_BALANCING_SPI_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### OS_INFO_DESC

          static final String OS_INFO_DESC

      See Also:
        Constant Field Values

    - #### JDK_INFO_DESC

          static final String JDK_INFO_DESC

      See Also:
        Constant Field Values

    - #### OS_USER_DESC

          static final String OS_USER_DESC

      See Also:
        Constant Field Values

    - #### VM_NAME_DESC

          static final String VM_NAME_DESC

      See Also:
        Constant Field Values

    - #### INSTANCE_NAME_DESC

          static final String INSTANCE_NAME_DESC

      See Also:
        Constant Field Values

    - #### CUR_COORDINATOR_FORMATTED_DESC

          static final String CUR_COORDINATOR_FORMATTED_DESC

      See Also:
        Constant Field Values

    - #### IS_NODE_BASELINE_DESC

          static final String IS_NODE_BASELINE_DESC

      See Also:
        Constant Field Values

    - #### LAST_CLUSTER_STATE_CHANGE_TIME_DESC

          static final String LAST_CLUSTER_STATE_CHANGE_TIME_DESC

      See Also:
        Constant Field Values

    - #### CLUSTER_STATE_DESC

          static final String CLUSTER_STATE_DESC

      See Also:
        Constant Field Values

    - #### READ_ONLY_MODE_DESC

          static final String READ_ONLY_MODE_DESC

      See Also:
        Constant Field Values

    - #### READ_ONLY_MODE_DURATION_DESC

          static final String READ_ONLY_MODE_DURATION_DESC

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getFullVersion

          @Deprecated
           @MXBeanDescription(value="String presentation of the Ignite version.")
          String getFullVersion()

      Deprecated. Use `GridMetricManager` instead.
      Gets string presentation of the version.
      Returns:
        String presentation of the version.

    - #### getCopyright

          @Deprecated
           @MXBeanDescription(value="Copyright statement for Ignite product.")
          String getCopyright()

      Deprecated. Use `GridMetricManager` instead.
      Gets copyright statement for Ignite product.
      Returns:
        Copyright statement for Ignite product.

    - #### getStartTimestampFormatted

          @Deprecated
           @MXBeanDescription(value="Start timestamp of the kernal.")
          String getStartTimestampFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets string presentation of the kernal start timestamp.
      Returns:
        String presentation of the kernal start timestamp.

    - #### isRebalanceEnabled

          @Deprecated
           @MXBeanDescription(value="Rebalance enabled flag.")
          boolean isRebalanceEnabled()

      Deprecated. Use `GridMetricManager` instead.
      Gets rebalance enabled flag.
      Returns:
        Rebalance enabled flag.

    - #### rebalanceEnabled

          @MXBeanParametersDescriptions(value={"Enable cache partitions rebalance on node.","Disable cache partitions rebalance on node."})
          void rebalanceEnabled(boolean rebalanceEnabled)

      Enable or disable cache partition rebalance per node.
      Parameters:
        `rebalanceEnabled` - If `true` then set rebalance to enabled state.

    - #### getUpTimeFormatted

          @Deprecated
           @MXBeanDescription(value="String presentation of up-time for the kernal.")
          String getUpTimeFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets string presentation of up-time for the kernal.
      Returns:
        String presentation of up-time for the kernal.

    - #### getStartTimestamp

          @Deprecated
           @MXBeanDescription(value="Start timestamp of the kernal.")
          long getStartTimestamp()

      Deprecated. Use `GridMetricManager` instead.
      Get start timestamp of the kernal.
      Returns:
        Start timestamp of the kernal.

    - #### getUpTime

          @Deprecated
           @MXBeanDescription(value="Up-time of the kernal.")
          long getUpTime()

      Deprecated. Use `GridMetricManager` instead.
      Gets up-time of the kernal.
      Returns:
        Up-time of the kernal.

    - #### getLongJVMPausesCount

          @Deprecated
           @MXBeanDescription(value="Long JVM pauses count.")
          long getLongJVMPausesCount()

      Deprecated. Use `GridMetricManager` instead.
      Gets long JVM pauses count.
      Returns:
        Long JVM pauses count.

    - #### getLongJVMPausesTotalDuration

          @Deprecated
           @MXBeanDescription(value="Long JVM pauses total duration.")
          long getLongJVMPausesTotalDuration()

      Deprecated. Use `GridMetricManager` instead.
      Gets long JVM pauses total duration.
      Returns:
        Long JVM pauses total duration.

    - #### getLongJVMPauseLastEvents

          @Deprecated
           @MXBeanDescription(value="Long JVM pause last events.")
          Map<Long,Long> getLongJVMPauseLastEvents()

      Deprecated. Use `GridMetricManager` instead.
      Gets long JVM pause last events.
      Returns:
        Long JVM pause last events.

    - #### getUserAttributesFormatted

          @Deprecated
           @MXBeanDescription(value="Collection of formatted user-defined attributes added to this node.")
          List<String> getUserAttributesFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a list of formatted user-defined attributes added to this node.

      Note that grid will add all System properties and environment properties to grid node attributes also. SPIs may also add node attributes that are used for SPI implementation.

      Returns:
        User defined attributes for this node.

    - #### getGridLoggerFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of logger that is in grid.")
          String getGridLoggerFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of logger that is in grid.
      Returns:
        Logger that is used in grid.

    - #### getExecutorServiceFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of fully configured thread pool that is used in grid.")
          String getExecutorServiceFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of fully configured thread pool that is used in grid.
      Returns:
        Thread pool implementation that is used in grid.

    - #### getIgniteHome

          @Deprecated
           @MXBeanDescription(value="Ignite installation home folder.")
          String getIgniteHome()

      Deprecated. Use `GridMetricManager` instead.
      Gets Ignite installation home folder.
      Returns:
        Ignite installation home.

    - #### getMBeanServerFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of MBean server instance.")
          String getMBeanServerFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of MBean server instance.
      Returns:
        MBean server instance.

    - #### getLocalNodeId

          @Deprecated
           @MXBeanDescription(value="Unique identifier for this node within grid.")
          UUID getLocalNodeId()

      Deprecated. Use `GridMetricManager` instead.
      Unique identifier for this node within grid.
      Returns:
        Unique identifier for this node within grid.

    - #### isPeerClassLoadingEnabled

          @Deprecated
           @MXBeanDescription(value="Whether or not peer class loading (a.k.a. P2P class loading) is enabled.")
          boolean isPeerClassLoadingEnabled()

      Deprecated. Use `GridMetricManager` instead.
      Returns `true` if peer class loading is enabled, `false` otherwise. Default value is `true`.

      When peer class loading is enabled and task is not deployed on local node, local node will try to load classes from the node that initiated task execution. This way, a task can be physically deployed only on one node and then internally penetrate to all other nodes.

      Returns:
        `true` if peer class loading is enabled, `false` otherwise.

    - #### getLifecycleBeansFormatted

          @Deprecated
           @MXBeanDescription(value="String representation of lifecycle beans.")
          List<String> getLifecycleBeansFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets `toString()` representation of of lifecycle beans configured with Ignite.
      Returns:
        `toString()` representation of all lifecycle beans configured with Ignite.

    - #### removeCheckpoint

          @MXBeanDescription(value="This method allows manually remove the checkpoint with given key. Return true if specified checkpoint was indeed removed, false otherwise.")
          boolean removeCheckpoint(@MXBeanParameter(name="key",description="Checkpoint key to remove.")
                                                                                                                                                                                                          String key)

      This method allows manually remove the checkpoint with given `key`.
      Parameters:
        `key` - Checkpoint key.
      Returns:
        `true` if specified checkpoint was indeed removed, `false` otherwise.

    - #### pingNode

          @MXBeanDescription(value="Pings node with given node ID to see whether it is alive. Returns whether or not node is alive.")
          boolean pingNode(@MXBeanParameter(name="nodeId",description="String presentation of node ID. See java.util.UUID class for details.")
                                                                                                                                                       String nodeId)

      Pings node with given node ID to see whether it is alive.
      Parameters:
        `nodeId` - String presentation of node ID. See `UUID.fromString(String)` for details on string formatting.
      Returns:
        Whether or not node is alive.

    - #### active

          @MXBeanDescription(value="Execute activate or deactivate process.")
           @MXBeanParametersNames(value="active")
          void active(boolean active)

      Changes Ignite grid state to active or inactive.

      NOTE: Deactivation clears in-memory caches (without persistence) including the system caches.

      Parameters:
        `active` - Activate/DeActivate flag.

    - #### active

          @Deprecated
           @MXBeanDescription(value="Checks Ignite grid is active or is not active.")
          boolean active()

      Deprecated. Use `GridMetricManager` instead.
      Checks if Ignite grid is active. If Ignite grid is not active return `False`.
      Returns:
        `True` if grid is active. `False` If grid is not active.

    - #### undeployTaskFromGrid

          @MXBeanDescription(value="Makes the best attempt to undeploy a task from the whole grid.")
          void undeployTaskFromGrid(@MXBeanParameter(name="taskName",description="Name of the task to undeploy.")
                                                                                                                               String taskName)
                                                                                                                        throws JMException

      Makes the best attempt to undeploy a task from the whole grid. Note that this method returns immediately and does not wait until the task will actually be undeployed on every node.

      Note that Ignite maintains internal versions for grid tasks in case of redeployment. This method will attempt to undeploy all versions on the grid task with given name.

      Parameters:
        `taskName` - Name of the task to undeploy. If task class has `ComputeTaskName` annotation, then task was deployed under a name specified within annotation. Otherwise, full class name should be used as task's name.
      Throws:
        `JMException` - Thrown if undeploy failed.

    - #### executeTask

          @MXBeanDescription(value="A shortcut method that executes given task assuming single String argument and String return type. Returns Task return value (assumed of String type).")
          String executeTask(@MXBeanParameter(name="taskName",description="Name of the task to execute.")
                                                                                                                                                                                                                String taskName,
                                                                                                                                                                                                                @MXBeanParameter(name="arg",description="Single task execution argument (can be null).")
                                                                                                                                                                                                                String arg)
                                                                                                                                                                                                         throws JMException

      A shortcut method that executes given task assuming single `java.lang.String` argument and `java.lang.String` return type.
      Parameters:
        `taskName` - Name of the task to execute.
        `arg` - Single task execution argument (can be `null`).
      Returns:
        Task return value (assumed of `java.lang.String` type).
      Throws:
        `JMException` - Thrown in case when execution failed.

    - #### pingNodeByAddress

          @MXBeanDescription(value="Pings node with given host name to see if it is alive. Returns whether or not node is alive.")
          boolean pingNodeByAddress(@MXBeanParameter(name="host",description="Host name or IP address of the node to ping.")
                                                                                                                                                             String host)

      Pings node with given host name to see if it is alive.
      Parameters:
        `host` - Host name or IP address of the node to ping.
      Returns:
        Whether or not node is alive.

    - #### getDiscoverySpiFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of configured discovery SPI implementation.")
          String getDiscoverySpiFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of configured discovery SPI implementation.
      Returns:
        Grid discovery SPI implementation.

    - #### getCommunicationSpiFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of fully configured SPI communication implementation.")
          String getCommunicationSpiFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of fully configured SPI communication implementation.
      Returns:
        Grid communication SPI implementation.

    - #### getDeploymentSpiFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of fully configured deployment SPI implementation.")
          String getDeploymentSpiFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of fully configured deployment SPI implementation.
      Returns:
        Grid deployment SPI implementation.

    - #### getCheckpointSpiFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of configured checkpoint SPI implementation.")
          String getCheckpointSpiFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of configured checkpoint SPI implementation.
      Returns:
        Grid checkpoint SPI implementation.

    - #### getCollisionSpiFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of configured collision SPI implementations.")
          String getCollisionSpiFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of configured collision SPI implementations.
      Returns:
        Grid collision SPI implementations.

    - #### getEventStorageSpiFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of fully configured event SPI implementation.")
          String getEventStorageSpiFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of fully configured event SPI implementation.
      Returns:
        Grid event SPI implementation.

    - #### getFailoverSpiFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of fully configured failover SPI implementations.")
          String getFailoverSpiFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of fully configured failover SPI implementations.
      Returns:
        Grid failover SPI implementations.

    - #### getLoadBalancingSpiFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted instance of fully configured load balancing SPI implementations.")
          String getLoadBalancingSpiFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted instance of fully configured load balancing SPI implementations.
      Returns:
        Grid load balancing SPI implementations.

    - #### getOsInformation

          @Deprecated
           @MXBeanDescription(value="OS information.")
          String getOsInformation()

      Deprecated. Use `GridMetricManager` instead.
      Gets OS information.
      Returns:
        OS information.

    - #### getJdkInformation

          @Deprecated
           @MXBeanDescription(value="JDK information.")
          String getJdkInformation()

      Deprecated. Use `GridMetricManager` instead.
      Gets JDK information.
      Returns:
        JDK information.

    - #### getOsUser

          @Deprecated
           @MXBeanDescription(value="OS user name.")
          String getOsUser()

      Deprecated. Use `GridMetricManager` instead.
      Gets OS user.
      Returns:
        OS user name.

    - #### getVmName

          @Deprecated
           @MXBeanDescription(value="VM name.")
          String getVmName()

      Deprecated. Use `GridMetricManager` instead.
      Gets VM name.
      Returns:
        VM name.

    - #### getInstanceName

          @Deprecated
           @MXBeanDescription(value="Optional kernal instance name.")
          String getInstanceName()

      Deprecated. Use `GridMetricManager` instead.
      Gets optional kernal instance name. It can be `null`.
      Returns:
        Optional kernal instance name.

    - #### printLastErrors

          @MXBeanDescription(value="Prints last suppressed errors.")
          void printLastErrors()

      Prints errors.

    - #### dumpDebugInfo

          @MXBeanDescription(value="Dumps debug information for the current node.")
          void dumpDebugInfo()

      Dumps debug information for the current node.

    - #### getCurrentCoordinatorFormatted

          @Deprecated
           @MXBeanDescription(value="Formatted properties of current coordinator.")
          String getCurrentCoordinatorFormatted()

      Deprecated. Use `GridMetricManager` instead.
      Gets a formatted properties of current coordinator.
      Returns:
        String representation of current coordinator node.

    - #### isNodeInBaseline

          @Deprecated
           @MXBeanDescription(value="Baseline node flag.")
          boolean isNodeInBaseline()

      Deprecated. Use `GridMetricManager` instead.
      Gets a flag whether local node is in baseline. Returns false if baseline topology is not established.
      Returns:
        Return a baseline flag.

    - #### runIoTest

          @MXBeanDescription(value="Runs IO latency test against all remote server nodes in cluster.")
          void runIoTest(@MXBeanParameter(name="warmup",description="Warmup duration (millis).")
                                                                                                                      long warmup,
                                                                                                                      @MXBeanParameter(name="duration",description="Test duration (millis).")
                                                                                                                      long duration,
                                                                                                                      @MXBeanParameter(name="threads",description="Threads count.")
                                                                                                                      int threads,
                                                                                                                      @MXBeanParameter(name="maxLatency",description="Maximum latency expected (nanos).")
                                                                                                                      long maxLatency,
                                                                                                                      @MXBeanParameter(name="rangesCnt",description="Ranges count for histogram.")
                                                                                                                      int rangesCnt,
                                                                                                                      @MXBeanParameter(name="payLoadSize",description="Payload size (bytes).")
                                                                                                                      int payLoadSize,
                                                                                                                      @MXBeanParameter(name="procFromNioThread",description="Process requests in NIO-threads flag.")
                                                                                                                      boolean procFromNioThread)

      Runs IO latency test against all remote server nodes in cluster.
      Parameters:
        `warmup` - Warmup duration in milliseconds.
        `duration` - Test duration in milliseconds.
        `threads` - Thread count.
        `maxLatency` - Max latency in nanoseconds.
        `rangesCnt` - Ranges count in resulting histogram.
        `payLoadSize` - Payload size in bytes.
        `procFromNioThread` - `True` to process requests in NIO threads.

    - #### clearNodeLocalMap

          @MXBeanDescription(value="Clears local node map.")
          void clearNodeLocalMap()

      Clears node local map.

    - #### clusterState

          @Deprecated
           @MXBeanDescription(value="Checks cluster state.")
          String clusterState()

      Deprecated. Use `GridMetricManager` instead.
      Checks cluster state.
      Returns:
        String representation of current cluster state. See `ClusterState`.

    - #### clusterState

          @MXBeanDescription(value="Changes current cluster state.")
          void clusterState(@MXBeanParameter(name="state",description="New cluster state.")
                                                                                       String state)

      Changes current cluster state.

      NOTE: Deactivation clears in-memory caches (without persistence) including the system caches.

      Parameters:
        `state` - String representation of new cluster state.

    - #### lastClusterStateChangeTime

          @Deprecated
           @MXBeanDescription(value="Unix time of last cluster state change operation.")
          long lastClusterStateChangeTime()

      Deprecated. Use `GridMetricManager` instead.
      Gets last cluster state change operation.
      Returns:
        Unix time of last cluster state change operation.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020